'''
Created on 10.12.2012

@author: chvv
'''

import simplesql as sql

tables = ['tprices']

def insertTprices(tprice):
    yield sql.Insert(table='tprices', values={
               'tindex': tprice.get('pricecode', None),
               'bcode': tprice.get('barcode', tprice.get('inventcode', None)),
               'price': tprice.get('price', 0.0),
               'name': tprice.get('name', ''),
               'documentid': tprice.get('documentid', ''),
               'effectivedate': tprice.get('effectivedate', '0000-00-00 00:00:00'),
               'packingprice': tprice.get('packingprice', None),
               })

def deleteTprices(tprice):
    yield sql.Delete(table='tprices',
                     whereFields=['tindex', 'bcode'],
                     whereValues=(tprice.get('pricecode', None),tprice.get('barcode', tprice.get('inventcode', None))))

def clearTprices():
    yield sql.DeleteAll(table='tprices')
