import simplesql as sql

tables = ['securityweight']

def insertSecurityWeight(securityweight):
    yield sql.Insert(table='securityweight', values={'barcode': securityweight.get('barcode', None),
            'weightfrom1': securityweight.get('weightfrom1', None),
            'weightto1': securityweight.get('weightto1', None),
            'weightfrom2': securityweight.get('weightfrom2', None),
            'weightto2': securityweight.get('weightto2', None),
            'weightfrom3': securityweight.get('weightfrom3', None),
            'weightto3': securityweight.get('weightto3', None)})

def clearSecurityWeight():
    yield sql.DeleteAll(table='securityweight')

def deleteSecurityWeight(securityweight):
    barcode = securityweight.get('barcode', None)
    if barcode:
        yield sql.Delete(table='securityweight', whereFields=['barcode'], whereValues=[barcode])

def deleteSecurityWeightByBarcode(barcode):
    yield sql.Delete(table='securityweight', whereFields=['barcode'], whereValues=[barcode])